package sitzplangenerator;

import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 *
 * @author B. A. Bartsch
 */
public class FileFilterTXT extends FileFilter {

    @Override
    public boolean accept(File f) {

        // Auch Unterverzeichnisse anzeigen
        if (f.isDirectory()) {
            return true;
        }

        return f.getName().toLowerCase().endsWith(".txt");

    }

    @Override
    public String getDescription() {
        return "TXT - Namensliste durch Semikolon getrennt.";
    }

}
