package sitzplangenerator;

import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 *
 * @author B. A. Bartsch
 */
public class FileFilterSPG extends FileFilter {

    @Override
    public boolean accept(File f) {

        // Auch Unterverzeichnisse anzeigen
        if (f.isDirectory()) {
            return true;
        }

        return f.getName().toLowerCase().endsWith(".spg");

    }

    @Override
    public String getDescription() {
        return "SPGs - (S)itz(P)lan(G)enerator";
    }

}
